/*
    Copyright (C) 2004, Wolfgang Hottgenroth

    This file is part of smmapdfw.

    smmapdfw is free software; you can redistribute it and/or modify it
    under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.  

    smmapdfw is distributed in the hope that it will be useful, but WITHOUT
    ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public
    License for more details. 

    You should have received a copy of the GNU General Public License
    along with smmapdfw. If not, write to the Free Software Foundation, 59
    Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/


#include <assert.h>

#include "stats.h"

count_t statCounter[STAT_CNT_MAXNUM];


void initStatCounter() {
  int i;

  for (i=0; i<STAT_CNT_MAXNUM; i++) {
    count_init(statCounter[i]);
  }
}

unsigned int getStatCounter(int cnt_idx) {
  assert((cnt_idx >= 0) && (cnt_idx < STAT_CNT_MAXNUM));
  return count_get(&statCounter[cnt_idx]);
}

void incStatCounter(int cnt_idx) {
  assert((cnt_idx >= 0) && (cnt_idx < STAT_CNT_MAXNUM));
  count_inc(&statCounter[cnt_idx]);
}

